# GLM: glm::gtx::log_base Namespace Reference

# glm::gtx::log_base Namespace Reference

GLM_GTX_log_base extension: Logarithm for any base. base can be a vector or a scalar. More...

## Functions

template<typename genType >
genType | log (genType const &x, genType const &base)
| Logarithm for any base.

## Detailed Description

GLM_GTX_log_base extension: Logarithm for any base. base can be a vector or a scalar.

## Function Documentation

genType glm::gtx::log_base::log | ( | genType const & | x,
|  | genType const & | base |
| ) |  |  |

Logarithm for any base.

From GLM_GTX_log_base.